local AwardInfo = {
	--已获得的奖励信息
	[0] = {
	   	--一个奖励物品的时候位置跟间隔
		[1] = {
			PosX=422,
			Interval=50,
			NamePosX=393,
			NameInterval=11,
		},

		[2] = {
			PosX=369,
			Interval=50,
			NamePosX=343,
			NameInterval=11,
		},

		[3] = {
			PosX=316,
			Interval=50,
			NamePosX=302,
			NameInterval=11,
		},

		[4] = {
			PosX=263,
			Interval=50,
			NamePosX=276,
			NameInterval=11,
		},

		[5] = {
			PosX=210,
			Interval=50,
			NamePosX=216,
			NameInterval=11,
		},
	},
	--开通特权的奖励信息
	[1] = {
	   	--一个奖励物品的时候位置跟间隔
		[1] = {
			PosX=428,
			Interval=20,
		},

		[2] = {
			PosX=388,
			Interval=20,
		},

		[3] = {
			PosX=348,
			Interval=20,
		},

		[4] = {
			PosX=308,
			Interval=20,
		},

		[5] = {
			PosX=268,
			Interval=20,
		},

		[6] = {
			PosX=228,
			Interval=20,
		},
	},
}

local OffsetData = {
	["OKBtnOffsetX"] = 400,
}

local function GetAwardInfo(index,key,key1)
	local data = AwardInfo[index][key]
	if (data) then
		return data[key1]
	end
	
	return nil
end

local function GetOffsetData(key)
	return OffsetData[key]
end

local function Unload()
	AwardInfo = nil
end

local AnnualBenefitsAward = {
	GetAwardInfo = GetAwardInfo,
	GetOffsetData = GetOffsetData,
}
-- global
AnnualBenefitsAward_Unload = AnnualBenefitsAward.Unload
AnnualBenefitsAward_GetAwardInfo = AnnualBenefitsAward.GetAwardInfo
AnnualBenefitsAward_GetOffsetData = AnnualBenefitsAward.GetOffsetData
return AnnualBenefitsAward